Package Details: v4l2loopback-dkms 0.12.3-1

Git Clone URL: https://aur.archlinux.org/v4l2loopback-dkms.git (read-only, click to copy)
Package Base: v4l2loopback-dkms
Description: v4l2-loopback device
Upstream URL: https://github.com/umlaeute/v4l2loopback
Licenses: GPLv2
Conflicts: v4l2loopback
Submitter: Artefact2
Maintainer: danieltetraquark
Last Packager: danieltetraquark
Votes: 31
Popularity: 1.87
First Submitted: 2015-08-16 13:47
Last Updated: 2019-12-06 22:12

Latest Comments

1 2 Next › Last »

danieltetraquark commented on 2019-12-06 21:07

It is fixed with version 0.12.3, but the version isn't available yet (because no git tag/github release)

tallero commented on 2019-12-06 19:24

As Friz64 said, the *-git package loads on the latest kernel.

Friz64 commented on 2019-12-06 14:56

v4l2loopback has been broken since kernel 5.4+, there is currently a fix on github (https://github.com/umlaeute/v4l2loopback/pull/249), we will just have to wait until it's merged

danieltetraquark commented on 2019-06-28 12:32

@sleeping did you recently upgrade your kernel modules and didn't reboot after? Then try to reboot.

benjarobin commented on 2019-03-06 20:13

# Maintainer: Romain "Artefact2" Dal Maso <artefact2@gmail.com>
_pkgbase=v4l2loopback
pkgname=v4l2loopback-dkms
pkgver=0.12.1
pkgrel=1
pkgdesc="v4l2-loopback device"
url="https://github.com/umlaeute/v4l2loopback"
arch=('x86_64' 'i686')
license=('GPLv2')
depends=('dkms')
makedepends=('help2man' 'linux-headers')
conflicts=("${_pkgbase}")
source=("https://github.com/umlaeute/v4l2loopback/archive/v$pkgver.tar.gz")
md5sums=('96b1565e18cd0c573e494d2b37eb9385')

package() {
  cd "${srcdir}/${_pkgbase}-${pkgver}"
  make DESTDIR="${pkgdir}" PREFIX="/usr" install-utils install-man

  mkdir -p "${pkgdir}/usr/src/${_pkgbase}-${pkgver}/"
  cp AUTHORS COPYING dkms.conf Makefile *.c *.h "${pkgdir}/usr/src/${_pkgbase}-${pkgver}/"
}

jamespharvey20 commented on 2019-03-06 08:11

kernel 5.0 deprecates do_gettimeofday, which breaks v0.11.0. v0.12.1 is needed to be compatible with 5.0.

antech commented on 2019-03-03 00:11

This really needs a quick version bump to 0.12.1. New md5 is 96b1565e18cd0c573e494d2b37eb9385.

braderhart commented on 2018-02-14 06:12

@j605: Thanks. I got it working by installing the Git pkg version and changing to build from master. Both packages should be updated hopefully, and I hope to see more support for virtual capture support in official packages or kernel.

j605 commented on 2018-02-10 14:26

Can you include this patch(https://github.com/umlaeute/v4l2loopback/commit/00eb0df20248d7a37594905d64030d0bd0b72eb8) in case upstream doesn't make a release. It is needed to make the module compile for 4.15

j605 commented on 2017-12-29 11:15

Install file is unnecessary due to pacman hooks for dkms.